oro:
    pricing:
          validators:
              price_attribute_price_list:
                  fieldName.message: 'Field Name cannot contain special chars or spaces, and must contain at least one letter'
              price_list:
                  product_price_currency.message: 'Cannot remove "%invalidCurrency%" currency. Please delete all prices points in "%invalidCurrency%" first.'
                  unique_price_list.message: 'Price list is duplicated.'
                  not_empty_price_lists.message: 'At least one price list must be defined.'
                  schedules_intersection.message: 'Price list schedule segments should not intersect'
              product_price:
                  unique_entity.message: 'Product has duplication of product prices. Set of fields "PriceList", "Quantity" , "Unit" and "Currency" should be unique.'
                  currency.message: 'Currency "%invalidCurrency%" is not valid for current price list.'
                  not_allowed_unit.message: 'Unit "%unit%" is not allowed for product "%product%".'
                  not_existing_product.message: 'Product does not exist.'
                  not_existing_unit.message: 'Product unit does not exist.'
                  quantity.blank: 'Quantity should not be blank.'
                  currency.blank: 'Currency should not be blank.'
                  expression_is_invalid.message: 'Invalid rule'
              default_currency.message: 'Currency "%invalidCurrency%" is not valid default currency. Selected currency must be in enabled list'
              price_for_product_unit_exists.message: "Units: '%units%', are used in price attribute prices and can't be removed"
              field_is_not_allowed_as.message: 'Field "%fieldName%" is not allowed to be used as "%inputName%"'
              invalid_price_rule_expression.message: 'Invalid expression'
              invalid_product_assignment_rule_expression.message: 'Invalid expression'
              circular_reference:
                  message: 'Circular references are not allowed'
                  invalid_node_message: 'Invalid expression'
              relation_not_in_rule.message: 'Field "%fieldName%" contains relation "%relationName%" that is not used in rule'
              only_price_relations_available.message: 'Only price relations available in field "%fieldName%"'
              one_expression_allowed.message: 'Only one element allowed in expression for field "%fieldName%"'
              too_many_relations.message: 'Too many relations in expression for field "%fieldName%"'

